Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/contact/contact.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/contact/contact.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/contact/contact.component.ts	(revision 59305)
@@ -57,7 +57,7 @@
             this.seoService.createLinkForCanonicalURL(this.url);
             this.updateUrl(this.url);
             this.updateTitle(this.pageTitle);
-            this.updateDescription("OpenAIRE - Connect, Community Gateway, research community");
+            this.updateDescription("Contact us to learn more about OpenAIRE Connect Research Gateways");
             this.reset();
             //this.getDivContents();
             this.getPageContents();
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/utils/subscribe/invite/inviteBasic.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/utils/subscribe/invite/inviteBasic.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/utils/subscribe/invite/inviteBasic.module.ts	(revision 59305)
@@ -2,7 +2,7 @@
 import {CommonModule}               from '@angular/common';
 import {FormsModule}                from '@angular/forms';
 import {RouterModule}               from '@angular/router';
-import {CKEditorModule}             from 'ng2-ckeditor';
+import {CKEditorModule}             from 'ckeditor4-angular';
 
 import {InviteComponent}            from './invite.component';
 
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/subjects/subjects.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/subjects/subjects.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/subjects/subjects.module.ts	(revision 59305)
@@ -21,7 +21,6 @@
   declarations: [
     SubjectsComponent
   ],
-  providers: [],
   exports: [
     SubjectsComponent
   ]
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.ts	(revision 59305)
@@ -32,6 +32,16 @@
               [showHomeMenuItem]="false"></navbar>
       <customization *ngIf="properties  && communityId && communityId.length > 0" [properties]="properties"
                      [communityId]="communityId"></customization>
+      <schema2jsonld *ngIf="properties && showMenu && !community"  [URL]="properties.baseLink"
+                     [logoURL]="properties.baseLink+'/assets/common-assets/logo-small-connect.png'" type="home"
+                     [searchActionRoute]="properties.searchLinkToCommunities" [searchAction]="true"
+                     name="OpenAIRE Connect"
+                     description="Build a Gateway for your Community: Turn Open Science into Practice. It takes your open and linked research outcomes.">
+      </schema2jsonld>
+      <schema2jsonld  *ngIf="properties  && showMenu && communityId && communityId.length > 0" [URL]="properties.domain"
+                     [logoURL]="community.logoUrl" type="home" [searchActionRoute]="properties.searchLinkToResults"
+                     [name]="community.name" [description]="community.description" >
+      </schema2jsonld>
       <div class="custom-main-content">
         <main>
           <router-outlet></router-outlet>
@@ -158,18 +168,16 @@
             break;
           }
           if (this.user && com['status'] != "hidden") {
-            if (Session.isCommunityCurator(this.user) || Session.isPortalAdministrator(this.user)) {
+            if (Session.isCommunityCurator(this.user) || Session.isPortalAdministrator(this.user) || Session.isManager('community', this.communityId, this.user)) {
               this.managerOfCommunities = true;
             } else if (com.managers.indexOf(this.user.email) != -1) {
               this.managerOfCommunities = true;
             }
           }
-
-
           if (communityId && communityId != "" && com.communityId == communityId) {
             community = com;
             let isCommunityManager: boolean = false;
-            if (Session.isCommunityCurator(this.user) || Session.isPortalAdministrator(this.user)) {
+            if (Session.isCommunityCurator(this.user) || Session.isPortalAdministrator(this.user) || Session.isManager('community', this.communityId, this.user)) {
               isCommunityManager = true;
             } else if (this.user && com.managers.indexOf(this.user.email) != -1) {
               isCommunityManager = true;
@@ -177,7 +185,8 @@
             this.community = {
               id: community.communityId,
               name: (community.shortTitle) ? community.shortTitle : community.title,
-              logoUrl: community.logoUrl
+              logoUrl: community.logoUrl,
+              description:community.description
             };
             this.menuItems = [];
 
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/htmlPages/htmlPage.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/htmlPages/htmlPage.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/htmlPages/htmlPage.component.ts	(revision 59305)
@@ -11,7 +11,7 @@
 @Component({
   selector: 'html-page',
   template: `
-    <schema2jsonld *ngIf="url" [URL]="url" [name]="pageTitle" type="other"></schema2jsonld>
+    <schema2jsonld *ngIf="url" [URL]="url" [name]="pageTitle" type="other" [description]="description"></schema2jsonld>
     <helper *ngIf="pageContents && pageContents['top'] && pageContents['top'].length > 0" [texts]="pageContents['top']"></helper>
 `
 })
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/community/community.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/community/community.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/community/community.module.ts	(revision 59305)
@@ -22,7 +22,6 @@
 import {SearchResultsModule} from "../openaireLibrary/searchPages/searchUtils/searchResults.module";
 import {CuratorsModule} from "../curators/curators.module";
 import {AffiliationsModule} from "../affiliations/affiliations.module";
-import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
 import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";
 import {MatSelectModule} from "@angular/material";
 import {EntitiesSelectionModule} from "../openaireLibrary/searchPages/searchUtils/entitiesSelection.module";
@@ -36,7 +35,7 @@
     SubscribeModule, StatisticsModule, ManageModule, InviteModule,
     SearchZenodoCommunitiesServiceModule, ZenodoCommunitiesServiceModule, SearchFormModule, SearchDataprovidersServiceModule, SearchProjectsServiceModule,
     SearchResearchResultsServiceModule, SearchResultsModule, CuratorsModule, AffiliationsModule,
-    Schema2jsonldModule, SEOServiceModule, MatSelectModule, EntitiesSelectionModule,
+    SEOServiceModule, MatSelectModule, EntitiesSelectionModule,
     TabsModule, SearchTabModule, ErrorMessagesModule
   ],
   declarations: [
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/learn-how.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/learn-how.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/learn-how.component.ts	(revision 59305)
@@ -1,10 +1,4 @@
 import {Component} from '@angular/core';
-import {ActivatedRoute, Router} from '@angular/router';
-import {Meta, Title} from '@angular/platform-browser';
-import {PiwikService} from '../openaireLibrary/utils/piwik/piwik.service';
-import {EnvProperties} from '../openaireLibrary/utils/properties/env-properties';
-import {HelperService} from "../openaireLibrary/utils/helper/helper.service";
-import {SEOService} from "../openaireLibrary/sharedComponents/SEO/SEO.service";
 import {Breadcrumb} from "../openaireLibrary/utils/breadcrumbs/breadcrumbs.component";
 
 @Component({
@@ -24,6 +18,6 @@
 })
 export class LearnHowComponent {
   public pageTitle: string = "OpenAIRE - Connect | Learn How";
-  public pageDescription: string = "OpenAIRE - Connect, Community Gateway, research community";
+  public pageDescription: string = "Learn the process: Build a Gateway to your community's open and linked research outcomes. Customized to your needs.";
   public breadcrumbs: Breadcrumb[] = [{name: 'home', route: '/'}, {name: 'about'}];
 }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/learnInDepth/learn-in-depth.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/learnInDepth/learn-in-depth.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/learnInDepth/learn-in-depth.component.ts	(revision 59305)
@@ -18,6 +18,6 @@
 })
 export class LearnInDepthComponent {
   public pageTitle: string = "OpenAIRE - Connect | Learn In Depth";
-  public pageDescription: string = "OpenAIRE - Connect, Community Gateway, research community";
+  public pageDescription: string = "Work in 4 collaborative steps to identify your needs, putting in practice our expertise on open science so you get the most out of OpenAIRE’s operational services.";
   public breadcrumbs: Breadcrumb[] = [{name: 'home', route: '/'}, {name: 'about', route: '/about'}, {name: 'learn in-depth'}];
 }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/curators/curators.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/curators/curators.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/curators/curators.component.ts	(revision 59305)
@@ -1,5 +1,5 @@
 import {Component, Input} from '@angular/core';
-import {EnvProperties}    from '../openaireLibrary/utils/properties/env-properties';
+import {EnvProperties} from '../openaireLibrary/utils/properties/env-properties';
 import {CuratorService} from "../openaireLibrary/connect/curators/curator.service";
 import {Curator} from "../openaireLibrary/utils/entities/CuratorInfo";
 import {ActivatedRoute, Router} from "@angular/router";
@@ -15,11 +15,12 @@
 import {StringUtils} from "../openaireLibrary/utils/string-utils.class";
 import {Subscription} from "rxjs";
 import {properties} from "../../environments/environment";
+import {UserRegistryService} from "../openaireLibrary/services/user-registry.service";
 
 @Component({
   selector: 'curators',
   templateUrl: './curators.component.html'
-
+  
 })
 
 export class CuratorsComponent {
@@ -28,56 +29,59 @@
   @Input() longView = true;
   public downloadUrl = null;
   public showLoading = true;
-
+  
   public curators: Curator[];
-
+  
   public curatorsLimit: number = 5;
   public numberOfCurators: number = 5;
-
+  
   public showMore = [];
   public maxCharacters = 500;
-
+  
   public properties: EnvProperties;
   public pageContents = null;
   public divContents = null;
-
+  
   public url: string = null;
   public pageTitle: string = "Curators";
-
+  
   public breadcrumbs: Breadcrumb[] = [{name: 'home', route: '/'}, {name: 'About - curators'}];
-
+  
   subs: Subscription[] = [];
-
-  constructor (private route: ActivatedRoute,
-               private curatorsService: CuratorService,
-               private communityService: CommunityService,
-               private _router: Router,
-               private helper: HelperService,
-               private _meta: Meta,
-               private _title: Title,
-               private seoService: SEOService,
-               private _piwikService: PiwikService) {}
-
+  
+  constructor(private route: ActivatedRoute,
+              private curatorsService: CuratorService,
+              private communityService: CommunityService,
+              private userRegistryService: UserRegistryService,
+              private _router: Router,
+              private helper: HelperService,
+              private _meta: Meta,
+              private _title: Title,
+              private seoService: SEOService,
+              private _piwikService: PiwikService) {
+  }
+  
   ngOnInit() {
-      this.showLoading = true;
-      this.properties = properties;
-      if(this.longView) {
-        if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
-          this.subs.push(this._piwikService.trackView(this.properties, this.pageTitle, PiwikHelper.getSiteId(this.communityId, this.properties.environment)).subscribe());
-        }
-        this.url = this.properties.baseLink + this._router.url;
-        this.seoService.createLinkForCanonicalURL(this.url);
-        this.updateUrl(this.url);
-        this.updateTitle(this.pageTitle);
-        this.updateDescription("OpenAIRE - Connect, Community Gateway, research community");
+    this.showLoading = true;
+    this.properties = properties;
+    if (this.longView) {
+      if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
+        this.subs.push(this._piwikService.trackView(this.properties, this.pageTitle, PiwikHelper.getSiteId(this.communityId, this.properties.environment)).subscribe());
       }
-      this.downloadUrl = this.properties.utilsService + '/download/';
-      if(!this.longView) {
+      this.url = this.properties.baseLink + this._router.url;
+      this.seoService.createLinkForCanonicalURL(this.url);
+      this.updateUrl(this.url);
+      this.updateTitle(this.pageTitle);
+      this.updateDescription("OpenAIRE - Connect, Community Gateway, research community");
+    }
+    this.downloadUrl = this.properties.utilsService + '/download/';
+    if (properties.environment !== 'development') {
+      if (!this.longView) {
         let emails = this.managers.join();
         this.subs.push(this.curatorsService.getCurators(this.properties, emails).subscribe(curators => {
           this.curators = curators;
-          for(let i = 0; i < this.curators.length; i++) {
-            this.showMore[i]= false;
+          for (let i = 0; i < this.curators.length; i++) {
+            this.showMore[i] = false;
           }
           this.showLoading = false;
           HelperFunctions.scroll();
@@ -84,8 +88,8 @@
         }));
       } else {
         this.subs.push(this.route.queryParams.subscribe(data => {
-          this.communityId  = ConnectHelper.getCommunityFromDomain(this.properties.domain);
-          if(!this.communityId) {
+          this.communityId = ConnectHelper.getCommunityFromDomain(this.properties.domain);
+          if (!this.communityId) {
             this.communityId = data['communityId'];
           }
           //this.getDivContents();
@@ -92,66 +96,89 @@
           this.getPageContents();
           this.subs.push(this.communityService.getCommunityByState(this.properties,
             this.properties.communityAPI + this.communityId).subscribe(community => {
-              this.managers = community.managers;
-              let emails = this.managers.join();
-              this.subs.push(this.curatorsService.getCurators(this.properties, emails).subscribe(curators => {
-                this.curators = curators;
-                for(let i = 0; i < this.curators.length; i++) {
-                  this.showMore[i]= false;
-                }
-                this.showLoading = false;
-                HelperFunctions.scroll();
-              }));
+            this.managers = community.managers;
+            let emails = this.managers.join();
+            this.subs.push(this.curatorsService.getCurators(this.properties, emails).subscribe(curators => {
+              this.curators = curators;
+              for (let i = 0; i < this.curators.length; i++) {
+                this.showMore[i] = false;
+              }
+              this.showLoading = false;
+              HelperFunctions.scroll();
+            }));
           }));
         }));
       }
+    } else {
+      this.subs.push(this.route.queryParams.subscribe(data => {
+        this.communityId = ConnectHelper.getCommunityFromDomain(this.properties.domain);
+        if (!this.communityId) {
+          this.communityId = data['communityId'];
+        }
+        if(this.longView) {
+          //this.getDivContents();
+          this.getPageContents();
+        }
+        this.subs.push(this.userRegistryService.getManagersEmail('community', this.communityId).subscribe(managers => {
+          let emails = managers.map(manager => manager.email).join();
+          this.subs.push(this.curatorsService.getCurators(this.properties, emails).subscribe(curators => {
+            this.curators = curators;
+            for (let i = 0; i < this.curators.length; i++) {
+              this.showMore[i] = false;
+            }
+            this.showLoading = false;
+            HelperFunctions.scroll();
+          }));
+        }));
+      }));
+    }
   }
-
+  
   ngOnDestroy() {
     for (let sub of this.subs) {
       sub.unsubscribe();
     }
   }
-
+  
   private getPageContents() {
     this.subs.push(this.helper.getPageHelpContents(this.properties, this.communityId, this._router.url).subscribe(contents => {
       this.pageContents = contents;
     }));
   }
-
+  
   private getDivContents() {
     this.subs.push(this.helper.getDivHelpContents(this.properties, this.communityId, this._router.url).subscribe(contents => {
       this.divContents = contents;
     }));
   }
-
+  
   public toggle(index: number) {
     this.showMore[index] = !this.showMore[index];
   }
-
-  _format(name: string){
-    if(name) {
+  
+  _format(name: string) {
+    if (name) {
       return (((name).length > this.maxCharacters) ? (name.substring(0, (this.maxCharacters - ('...').length)) + '...') : name);
     } else {
       return null;
     }
   }
-
+  
   public urlPrefix(url: string): string {
     return StringUtils.urlPrefix(url);
   }
-
+  
   private updateDescription(description: string) {
     this._meta.updateTag({content: description}, "name='description'");
     this._meta.updateTag({content: description}, "property='og:description'");
   }
-
+  
   private updateTitle(title: string) {
     var _title = ((title.length > 50) ? title.substring(0, 50) : title);
     this._title.setTitle(_title);
     this._meta.updateTag({content: _title}, "property='og:title'");
   }
-
+  
   private updateUrl(url: string) {
     this._meta.updateTag({content: url}, "property='og:url'");
   }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/affiliations/affiliations.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/affiliations/affiliations.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/affiliations/affiliations.component.ts	(revision 59305)
@@ -62,7 +62,7 @@
             }
             if(this.getAffiliationsFromAPI) {
               this.showLoading = true;
-              this.affiliationService.initAffiliations(this.properties, this.properties.communityAPI + this.communityId + "/organizations");
+              this.affiliationService.initAffiliations(this.communityId);
               this.affiliationService.affiliations.subscribe(
                 affiliations => {
                   this.affiliations = affiliations;
@@ -69,7 +69,7 @@
                   this.showLoading = false;
                 },
                 error => {
-                  console.error("Affiliations Component: Error getting affiliations for community with id: "+this.communityId, error);
+                  console.error("Affiliations Component: Error getting affiliations for community with id: " + this.communityId, error);
                   this.showLoading = false;
                 }
               );
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.prod.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.prod.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.prod.ts	(revision 59305)
@@ -52,7 +52,7 @@
   loginUrl: "https://services.openaire.eu/connect-user-management/openid_connect_login",
   
   userInfoUrl: " https://services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=",
-  
+  registryUrl: 'https://services.openaire.eu/uoa-user-management/api/registry/',
   logoutUrl: "https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
   
   cookieDomain: ".openaire.eu",
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.ts	(revision 59305)
@@ -52,7 +52,7 @@
   loginUrl: "https://services.openaire.eu/connect-user-management/openid_connect_login",
 
   userInfoUrl: " https://services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=",
-  
+  registryUrl: 'https://services.openaire.eu/uoa-user-management/api/registry/',
   logoutUrl: "https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
 
   cookieDomain: ".openaire.eu",
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app-routing.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app-routing.module.ts	(revision 59305)
@@ -5,7 +5,6 @@
 import { EnvironmentSpecificService} from './openaireLibrary/utils/properties/environment-specific.service';
 
 import { OpenaireErrorPageComponent } from './error/errorPage.component';
-import {ThemeComponent} from "./openaireLibrary/utils/theme/theme.component";
 import {PageURLResolverComponent} from "./openaireLibrary/utils/pageURLResolver.component";
 
 const routes: Routes = [
@@ -18,6 +17,7 @@
   { path: 'about/faq', loadChildren: './learn-how/faqs/faqs.module#FaqsModule', resolve: { envSpecific:  EnvironmentSpecificResolver }},
   { path: 'contact-us', loadChildren: './contact/contact.module#ContactModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
   { path: 'invite', loadChildren: './utils/subscribe/invite/invite.module#InviteModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
+  { path: 'verify/:id', loadChildren: './verification-manager/verification-manager.module#VerificationManagerModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
   { path: 'content', loadChildren: './content/contentPage.module#ContentPageModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
   { path: 'organizations', loadChildren: './htmlPages/organizations/organizationsPage.module#OrganizationsPageModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
   { path: 'publications', loadChildren: './htmlPages/publications/publications-page.module#PublicationsPageModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
@@ -61,6 +61,9 @@
   { path: 'search/advanced/datasets', component: PageURLResolverComponent},
   { path: 'search/advanced/software', component: PageURLResolverComponent},
   { path: 'search/advanced/other', component: PageURLResolverComponent},
+  { path: 'search/advanced/organizations', loadChildren: './searchPages/advanced/advancedSearchOrganizations.module#LibAdvancedSearchOrganizationsModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
+  { path: 'search/advanced/dataproviders', loadChildren: './searchPages/advanced/advancedSearchDataProviders.module#LibAdvancedSearchDataProvidersModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
+  { path: 'search/advanced/projects', loadChildren: './searchPages/advanced/advancedSearchProjects.module#LibAdvancedSearchProjectsModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
 
   // Deposit Pages
   { path: 'participate/deposit-datasets',  redirectTo: 'participate/deposit/learn-how', pathMatch: 'full'},
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.beta.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.beta.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.beta.ts	(revision 59305)
@@ -52,7 +52,7 @@
   loginUrl: "https://beta.services.openaire.eu/connect-user-management/openid_connect_login",
   
   userInfoUrl: "https://beta.services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=",
-  
+  registryUrl: 'https://beta.services.openaire.eu/uoa-user-management/api/registry/',
   logoutUrl: "https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
   
   cookieDomain: ".openaire.eu",
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/find/mainSearch-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/find/mainSearch-routing.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/find/mainSearch-routing.module.ts	(revision 59305)
@@ -1,7 +1,7 @@
-import { NgModule } from '@angular/core';
-import { RouterModule } from '@angular/router';
+import {NgModule} from '@angular/core';
+import {RouterModule} from '@angular/router';
 
-import{OpenaireSearchComponent} from './search.component';
+import {OpenaireSearchComponent} from './search.component';
 import {FreeGuard} from "../../openaireLibrary/login/freeGuard.guard";
 import {PreviousRouteRecorder} from "../../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
 
@@ -8,10 +8,9 @@
 @NgModule({
   imports: [
     RouterModule.forChild([
-     // { path: '', component: OpenaireSearchComponent }
-      	{ path: '', component: OpenaireSearchComponent, canActivate: [FreeGuard], canDeactivate: [PreviousRouteRecorder] }
-
+      {path: '', component: OpenaireSearchComponent, canActivate: [FreeGuard], canDeactivate: [PreviousRouteRecorder]}
     ])
   ]
 })
-export class MainSearchRoutingModule { }
+export class MainSearchRoutingModule {
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders-routing.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders-routing.module.ts	(revision 59305)
@@ -0,0 +1,19 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+import{OpenaireAdvancedSearchDataProvidersComponent} from './advancedSearchDataProviders.component';
+import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
+import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
+
+
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: OpenaireAdvancedSearchDataProvidersComponent, canActivate: [FreeGuard], data: {
+          redirect: '/error',  community : 'openaire'
+        }, canDeactivate: [PreviousRouteRecorder] }
+
+    ])
+  ]
+})
+export class AdvancedSearchDataProvidersRoutingModule { }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations-routing.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations-routing.module.ts	(revision 59305)
@@ -0,0 +1,19 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{OpenaireAdvancedSearchOrganizationsComponent} from './advancedSearchOrganizations.component';
+import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
+import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
+
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: OpenaireAdvancedSearchOrganizationsComponent , canActivate: [FreeGuard], data: {
+          redirect: '/error',  community : 'openaire'
+        },canDeactivate: [PreviousRouteRecorder]}
+
+    ])
+  ]
+})
+export class AdvancedSearchOrganizationsRoutingModule { }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/server.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/server.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/server.ts	(revision 59305)
@@ -79,6 +79,26 @@
   }
   next();
 });
+ // - Serve sitemap based on the host -
+  app.get('/sitemap.xml', (req, res) => {
+    console.log(req.get("host"));
+    let host = req.get("host").split(":")[0];
+    let connectLinks= ["/","/about/learn-how","/about/learn-in-depth", "/about/faq","/search/find/communities"];
+    let communityLinks= ["/","/search/find/research-outcomes","/search/advanced/research-outcomes","/participate/deposit/learn-how","/organizations", "/content"];
+    let sitemap = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n" +
+      "<urlset xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd\">";
+    let urlPre = "<url>\n" +
+      "    <loc><![CDATA[";
+    let urlSuf = "]]></loc>\n" +
+      "    </url>";
+    for(let link of (host.indexOf("connect.openaire.eu") == -1 ?communityLinks:connectLinks)){
+      sitemap += urlPre + "https://" + host + link + urlSuf;
+     }
+    sitemap += "\n</urlset>";
+    console.log(req.secure);
+    res.setHeader('content-type', 'application/xml');
+    res.send( sitemap);
+  });
 
 /* - Example Express Rest API endpoints -
   app.get('/api/**', (req, res) => { });
